import { ServerProperties } from './properties';
interface IEventPatterns {
    start: RegExp;
    stop: RegExp;
    crash: RegExp;
}
export interface RconConfig {
    host: string;
    port: number;
    password: string;
    buffer: number;
}
export interface ServerConfig {
    jar: string;
    type: string;
    path: string;
    executable: string;
    args: string[];
    eula: boolean;
    properties: ServerProperties;
    pipeStdout: boolean;
    pipeStdin: boolean;
    eventPatterns: IEventPatterns;
    port: number;
    rcon: RconConfig;
}
export declare const EventPatterns: Record<string, IEventPatterns>;
export declare function LoadDefaults<T>(config: Partial<T>, defaults: T): T;
export {};
