"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function eventEmitter() {
    const listeners = {};
    return {
        on(key, fn) {
            listeners[key] = (listeners[key] || []).concat(fn);
        },
        off(key, fn) {
            listeners[key] = (listeners[key] || []).filter(f => f !== fn);
        },
        emit(key, data) {
            (listeners[key] || []).forEach(function (fn) {
                fn(data);
            });
        }
    };
}
exports.default = eventEmitter;
