import { ServerConfig } from './config';
import { Rcon } from './rcon';
export declare const DefaultConfig: ServerConfig;
interface Events {
    console: string;
    start: void;
    stop: void;
    crash: void;
}
export declare class MinecraftServer {
    config: ServerConfig;
    private process?;
    rcon: Rcon;
    private emitter;
    on: <K extends "stop" | "start" | "console" | "crash">(name: K, callback: (param: Events[K]) => void) => void;
    off: <K extends "stop" | "start" | "console" | "crash">(name: K, callback: (param: Events[K]) => void) => void;
    start(): void;
    stop(): void;
    send(msg: string): Promise<string>;
    constructor(config: Partial<ServerConfig>);
}
export {};
